# McdMerge

### Description

Merge two vaults that are of the same type, first into second

### Action ID

`0xd2c234d0`

### SDK Action

```ts
const makerMergeAction = new dfs.actions.maker.MakerMergeAction(
    srcVaultId,
    destVaultId,
    mcdManager
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param srcVaultId Id of the source vault
    /// @param destVaultId Id of the destination vault
    /// @param mcdManager Manager address
    struct Params {
        uint256 srcVaultId;
        uint256 destVaultId;
        address mcdManager;
    }
```

### Return Value

```solidity
return bytes32(inputData.destVaultId);
```

### Events and Logs

```solidity
emit ActionEvent("McdMerge", logData);
logger.logActionDirectEvent("McdMerge", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/maker/mcd-merge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
